@import url(https://cdn.jsdelivr.net/gh/tonsky/FiraCode@1.206/distr/fira_code.css);

*{
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-weight: lighter;
  font-family: "微软雅黑 light", "微软雅黑", sans-serif;
  color: #232323;
  font-feature-settings: "calt" 1;
  outline: none;
}
pre, pre *, code.hljs, pre code.hljs, .cnblogs-markdown code.hljs, .cnblogs-post-body code.hljs, .cnblogs-markdown code, .cnblogs-post-body code, .code{
  font-family: 'Fira Code', Consolas, monospace, "Courier New", sans-serif!important;
  font-size: 14px!important;
}
body{
  background: #fcfcfc;
}
a{
  text-decoration: none;
  transition: color 0.25s;
}
a:hover{
  color: #4fc08d;
  text-decoration: none;
}
#page_begin_html{
  position: sticky;
  top: 0;
  transition: transform 0.35s;
}
#page_begin_html.hide {
  transform: translate(0,-150%);
}
#home>#header{
  display: none;
}
#header{
  z-index: 10000;
  box-sizing: border-box;
  display: flex;
  height: 50px;
  box-shadow: 0 1px 3px rgba(26, 26, 26, 0.1);
  justify-content: center;
  position: sticky;
  top: 0;
  background: #fcfcfc;
}
#header_inner{
  max-width: 1000px;
  flex: 1;
  padding: 0 50px;
  display: flex;
  justify-content: space-between;
}
#header_inner>div{
  display: flex;
  align-items: center;
}
#header_inner>div>a{
  display: flex;
  flex-direction: column;
  justify-content: center;
}
#header_inner>#left>a{
  padding: 0 10px;
  height: 100%;
}
#header_inner>#left>a>p{
  font-size: 25px;
}
#header_inner>#right>a{
  margin: 0 10px;
  height: 35px;
  border: 1px solid #4fc08d;
  width: 90px;
  border-radius: 1000px;
  align-items: center;
  transition: background 0.35s, color 0.35s;
}
#header_inner>#right>a:hover{
  background: #4fc08d;
  color: #fcfcfc;
}
#header_inner>#right>a:hover p{
  color: #fcfcfc;
}
#header_inner>#right>a>p{
  font-size:14px;
  transition: color 0.35s;
}
#main{
  display: flex;
  flex-direction: column;
  align-items: center;
}
#mainContent{
  max-width: 750px;
  width: 100%;
}
#topics .post{
  margin: 16px 0;
}
#topics .post .postTitle, #topics .post .postTitle a{
  font-weight: bold;
  font-size: 30px;
  margin: 30px 0;
  pointer-events:none; 
}
#blog-comments-placeholder .feedback_area_title{
  display: none;
}
#blog-comments-placeholder .feedbackItem{
  display: flex;
  flex-direction: column-reverse;
  padding: 20px 20px;
  border-top: 1px solid #acacac;
}
#ad_text_under_commentbox, #ad_t2 {
  display: none;
}
#comment_form_container .commentbox_title {
  width: 100%;
}
#comment_form_container  textarea {
  width: 100%;
  max-width: 100%;
  min-width: 100%;
  height: 200px;
  min-height: 200px;
}
#btn_comment_submit{
  border-radius: 1000px;
  border: none;
  background: #4fc08d;
  color: #fcfcfc;
  height: 30px;
  width: 90px;
  font-weight: bold;
  box-shadow: 0 0 5px #4fc08d;
  transition: box-shadow 0.35s;
  cursor: pointer;
}
#btn_comment_submit:hover{
  box-shadow: 0 0 25px #4fc08d;
}
#commentbox_opt>a{
  transition: color 0.35s, text-shadow 0.35s;
  font-weight: bold;
}
#commentbox_opt>a:hover {
  color: #c53f46;
  text-shadow: 0 0 5px #c53f46;
}
#commentbox_opt>a:after{
  content: "登录";
}
#commentbox_opt{
  display: flex;
  justify-content: space-between;
}
#sideBar{
  margin-top: 200px;
  background: #f6f6f6;
  padding-top: 50px;
  width: 100%;
}
#sideBarMain{
  padding: 0 20px;
  flex-wrap: wrap;
}
#sideBarMain, #leftcontentcontainer, #blog-sidecolumn{
  display: flex;
}
#sideBarMain .newsItem{
  width: 100px;
}
#blog-calendar{
  width: 200px;
}
#blog-sidecolumn{
  padding: 0 20px;
}
#blog-sidecolumn>div{
  padding: 10px;
}
#RecentCommentsBlock .recent_comment_body{
  height: 100px;
  overflow-y: scroll;
}    
#blog-sidecolumn ul {
  list-style: none;
}
#footer{
  padding-left: 30px;
  padding-right: 30px;
  padding-top: 50px;
  background: #f6f6f6;
}
#foot{
  padding-left: 30px;
  padding-right: 30px;
  background: #f6f6f6;
  padding-top: 20px;
  padding-bottom: 50px;
}
#RecentCommentsBlock ul{
  padding-right: 20px;
}
#myposts .PostList img { 
  max-width: 100%;
}
#myposts .PostList {
  padding-top: 20px;
  padding-bottom: 10px;
  border-bottom: 1px solid #ccc;
}
#myposts .PostList .postTitl2 > *{
  font-size: 1.3em;
}
#myposts .PostList .postDesc2{
  color: #777;
}
#myposts .PostList .postText2 {
  padding-top: 10px;
}
#mainContent .PostListTitle {
  font-size: 1.5em;
}
#mainContent .forFlow, 
#mainContent .day{
  padding-top: 30px;
}
#mainContent .day .dayTitle{
  display: flex;
  flex-direction: row-reverse;
  margin-top: 20px;
}
#mainContent .day .postTitle{
  font-size: 25px;
  font-weight: bold;
  padding-bottom: 10px;
}
#mainContent .day .postTitle a{
  font-size: 25px;
  font-weight: bold;
}
#mainContent .day .postDesc{
  color: #acacac;
  font-size: 14px;
  margin-top: 10px;
  text-align: right;
  margin-bottom: 30px;
}
#leftcontentcontainer{
  flex: 3;
}
#blog-sidecolumn{
  flex: 1;
  flex-wrap: wrap;
}
@media screen and (max-width: 767px) {
 #sideBar{
    width: 100%;
  }
}
@media screen and (max-width: 750px) {
  #sideBar{
    width: 100%;
  }
  #sideBarMain{
    
  }
  #blog-sidecolumn{
    padding: 0;
  }
  #sidebar_shortcut{
    
  }
  #sidebar_search_box{
      width: 250px;
  }
  #sidebar_search_box>div{
    display: flex;
  }
  #sidebar_search_box>div>:first-child{
    flex: 1;
  }
}
@media screen and (max-width: 850px) {
   #header_inner{
    padding: 0;
  }
  #post_detail {
    padding: 0 15px;
  }
  div#comment_form {
    margin: 0 15px;
  }
  #mainContent .day{
    padding: 0 15px;
  }
  #r2a5fA {
    display: none!important;
  }
}
div#main{
  padding: 0;
}
div#sideBar{
  width: 100%;
}
#blog-calendar{
  padding: 0 10px;
}
#tbCommentAuthor{
  width: 100%;
  max-width: 200px;
}
div#green_channel{
  width: 270px;
}
#sidebar_search_box>div>:last-child{
  width: 65px;
}
#div_digg .buryit{
  display: none;
}
#div_digg .diggit{
  float: right;
  display: flex;
  height: 30px;
  width: auto;
  padding: 0;
  padding-right: 10px;
  background: unset;
  justify-content: center;
  align-items: center;
  border: 1px solid #4fc08d;
  border-radius: 1000px;
  transition: background 0.35s;
}
#div_digg .diggit:hover{
  background: #4fc08d;
}
#div_digg .diggit:before{
  content: '';
  display: block;
  background: #4fc08d;
  width: 10px;
  height: 10px;
  margin: 10px;
  -webkit-mask-image: url('data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPSIxLjEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbD0iY3VycmVudENvbG9yIiB2aWV3Qm94PSIwIDAgMjQgMjQiIHdpZHRoPSIxMCIgaGVpZ2h0PSIxMCI+PHBhdGggZD0iTTIgMTguMjQyYzAtLjMyNi4wODgtLjUzMi4yMzctLjg5Nmw3Ljk4LTEzLjIwM0MxMC41NzIgMy41NyAxMS4wODYgMyAxMiAzYy45MTUgMCAxLjQyOS41NzEgMS43ODQgMS4xNDNsNy45OCAxMy4yMDNjLjE1LjM2NC4yMzYuNTcuMjM2Ljg5NiAwIDEuMzg2LS44NzUgMS45LTEuOTU1IDEuOUgzLjk1NWMtMS4wOCAwLTEuOTU1LS41MTctMS45NTUtMS45eiIgZmlsbC1ydWxlPSJldmVub2RkIj48L3BhdGg+PC9zdmc+');
  mask-image: url('data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPSIxLjEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbD0iY3VycmVudENvbG9yIiB2aWV3Qm94PSIwIDAgMjQgMjQiIHdpZHRoPSIxMCIgaGVpZ2h0PSIxMCI+PHBhdGggZD0iTTIgMTguMjQyYzAtLjMyNi4wODgtLjUzMi4yMzctLjg5Nmw3Ljk4LTEzLjIwM0MxMC41NzIgMy41NyAxMS4wODYgMyAxMiAzYy45MTUgMCAxLjQyOS41NzEgMS43ODQgMS4xNDNsNy45OCAxMy4yMDNjLjE1LjM2NC4yMzYuNTcuMjM2Ljg5NiAwIDEuMzg2LS44NzUgMS45LTEuOTU1IDEuOUgzLjk1NWMtMS4wOCAwLTEuOTU1LS41MTctMS45NTUtMS45eiIgZmlsbC1ydWxlPSJldmVub2RkIj48L3BhdGg+PC9zdmc+');
  transition: background 0.35s;
}
#div_digg .diggit:hover:before{
  background: #fcfcfc;
}
#div_digg{
  margin-right: 10px;
}
#digg_count{
  color: #4fc08d;
  transition: color 0.35s;
}
#div_digg .diggit:hover #digg_count{
  color: #fcfcfc;
}

#mainContent .forFlow .entrylistTitle {
    text-align: right;
}

#mainContent .forFlow .entrylistItem .entrylistPosttitle{
    font-size: 25px;
    font-weight: bold;
    padding-bottom: 10px;
}
#mainContent .forFlow .entrylistItem .entrylistPosttitle>a {
    font-size: 25px;
    font-weight: bold;
}
#mainContent .forFlow .entrylistItem .entrylistItemPostDesc {
    color: #acacac;
    font-size: 14px;
    margin-top: 10px;
    text-align: right;
    margin-bottom: 30px;
}